model ballon
  annotation(Diagram(graphics = {Text(rotation = 0, lineColor = {0,0,255}, fillColor = {0,0,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{558.321,54.0658},{621.041,34.6218}}, textString = "Traction"),Rectangle(rotation = 0, lineColor = {0,0,255}, fillColor = {0,0,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-97.9056,64.9098},{-10.4577,-22.7184}}),Text(rotation = 0, lineColor = {0,0,255}, fillColor = {0,0,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-95.0207,-18.2108},{-15.1456,-23.4397}}, textString = "Calcul de la pression et de la densite de l'air", fontSize = 2, fontName = "Arial")}));
  Modelica.Blocks.Math.Division division1 annotation(Placement(visible = true, transformation(origin = {-51.986,40.71}, extent = {{-4.77946,-4.77946},{4.77946,4.77946}}, rotation = 0)));
  Modelica.Blocks.Math.Add3 Masse_en_altitude(k1 = +1, k2 = +1, k3 = +1) annotation(Placement(visible = true, transformation(origin = {69.5795,39.6966}, extent = {{-6.36146,-6.36146},{6.36146,6.36146}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sensors.PositionSensor position annotation(Placement(visible = true, transformation(origin = {40.5766,75.2432}, extent = {{-7.45106,-7.45106},{7.45106,7.45106}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sources.Force effort annotation(Placement(visible = true, transformation(origin = {73.8753,74.7702}, extent = {{-3.94997,-3.94997},{3.94997,3.94997}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant G(k = -9.81) annotation(Placement(visible = true, transformation(origin = {57.179,-11.0557}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant Volume(k = 10.5) annotation(Placement(visible = true, transformation(origin = {2.64622,-6.01055}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant Massse_vol_helium(k = 0.178) annotation(Placement(visible = true, transformation(origin = {3.09113,11.0139}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Blocks.Math.Product Masse_helium annotation(Placement(visible = true, transformation(origin = {23.8003,2.52427}, extent = {{-5.25741,-5.25741},{5.25741,5.25741}}, rotation = 0)));
  Modelica.Blocks.Math.Product Effort_traction annotation(Placement(visible = true, transformation(origin = {83.6769,-3.23916}, extent = {{-5.25741,-5.25741},{5.25741,5.25741}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sensors.SpeedSensor vitesse annotation(Placement(visible = true, transformation(origin = {40.642,92.6276}, extent = {{-5.25741,-5.25741},{5.25741,5.25741}}, rotation = 0)));
  Modelica.Blocks.Math.Product puissance3 annotation(Placement(visible = true, transformation(origin = {-64.8797,15.1538}, extent = {{-5.08917,-5.08917},{5.08917,5.08917}}, rotation = 0)));
  Modelica.Blocks.Math.Product puissance2 annotation(Placement(visible = true, transformation(origin = {-82.9871,14.9882}, extent = {{-5.08917,-5.08917},{5.08917,5.08917}}, rotation = 0)));
  Modelica.Blocks.Math.Product puissance4 annotation(Placement(visible = true, transformation(origin = {-47.5964,14.9588}, extent = {{-5.08917,-5.08917},{5.08917,5.08917}}, rotation = 0)));
  Modelica.Blocks.Math.Product puissance5 annotation(Placement(visible = true, transformation(origin = {-31.2289,15.3929}, extent = {{-5.08917,-5.08917},{5.08917,5.08917}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant pression0(k = 101325) annotation(Placement(visible = true, transformation(origin = {-87.2586,-0.116356}, extent = {{-4.62652,-4.62652},{4.62652,4.62652}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant constante(k = 1) annotation(Placement(visible = true, transformation(origin = {-70.4127,33.2778}, extent = {{-4.62652,-4.62652},{4.62652,4.62652}}, rotation = 0)));
  Modelica.Blocks.Math.Division Masse_volumique annotation(Placement(visible = true, transformation(origin = {-22.7181,-0.709625}, extent = {{-4.62652,-4.62652},{4.62652,4.62652}}, rotation = 0)));
  Modelica.Blocks.Math.Product RT annotation(Placement(visible = true, transformation(origin = {-38.7778,-1.94668}, extent = {{-4.77948,-4.77948},{4.77948,4.77948}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant coef_R(k = 287) annotation(Placement(visible = true, transformation(origin = {-53.3573,-7.22486}, extent = {{-4.34498,-4.34498},{4.34498,4.34498}}, rotation = 0)));
  Modelica.Blocks.Math.Product pression_pa annotation(Placement(visible = true, transformation(origin = {-69.7293,-0.380284}, extent = {{-4.62652,-4.62652},{4.62652,4.62652}}, rotation = 0)));
  Modelica.Blocks.Math.Product product1 annotation(Placement(visible = true, transformation(origin = {-37.9378,52.9664}, extent = {{-4.62652,-4.62652},{4.62652,4.62652}}, rotation = 0)));
  Modelica.Blocks.Math.Add add1(k1 = -1) annotation(Placement(visible = true, transformation(origin = {-21.922,53.2381}, extent = {{-4.62652,-4.62652},{4.62652,4.62652}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant altitude_station(k = 1800) annotation(Placement(visible = true, transformation(origin = {-69.8597,53.301}, extent = {{-4.62652,-4.62652},{4.62652,4.62652}}, rotation = 0)));
  Modelica.Blocks.Math.Add altitude_ballon(k1 = -1, k2 = +1) annotation(Placement(visible = true, transformation(origin = {-53.3139,53.0183}, extent = {{-4.77945,-4.77945},{4.77945,4.77945}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Ground masse annotation(Placement(visible = true, transformation(origin = {-54.8401,67.4068}, extent = {{-3.94997,-3.94997},{3.94997,3.94997}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant coef(k = 0.0065) annotation(Placement(visible = true, transformation(origin = {-87.6402,53.3124}, extent = {{-4.77948,-4.77948},{4.77948,4.77948}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant temperature(k = 273) annotation(Placement(visible = true, transformation(origin = {-89.2475,36.4958}, extent = {{-4.77946,-4.77946},{4.77946,4.77946}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.EMF emf1(useSupport = false, k = 0.008) annotation(Placement(visible = true, transformation(origin = {-36.6019,83.8418}, extent = {{-4.77946,-4.77946},{4.77946,4.77946}}, rotation = 0)));
  Modelica.Blocks.Math.Product Masse_air annotation(Placement(visible = true, transformation(origin = {38.0719,-11.4168}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Blocks.Math.Add Masse_Ballon(k1 = +1, k2 = +1) annotation(Placement(visible = true, transformation(origin = {44.1747,21.0957}, extent = {{-5.25741,-5.25741},{5.25741,5.25741}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Inertia inertie_rotor(J = 0.00000004, stateSelect = StateSelect.default) annotation(Placement(visible = true, transformation(origin = {-22.9055,83.847}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.LossyGear Reducteur(ratio = 150, lossTable = [0,0.6,0.6,0,0]) annotation(Placement(visible = true, transformation(origin = {-9.29465,83.8598}, extent = {{-5.08917,-5.08917},{5.08917,5.08917}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.IdealGearR2T Tambour(ratio = 10) annotation(Placement(visible = true, transformation(origin = {3.21617,83.9544}, extent = {{-4.77946,-4.77946},{4.77946,4.77946}}, rotation = 0)));
  Modelica.Mechanics.Translational.Components.Mass mass1(m = 8.5, stateSelect = StateSelect.default) annotation(Placement(visible = true, transformation(origin = {15.8638,84.0384}, extent = {{-5.25741,-5.25741},{5.25741,5.25741}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Inductor inductance(L = 0.0001) annotation(Placement(visible = true, transformation(origin = {-45.2438,91.5028}, extent = {{-6.36146,-6.36146},{6.36146,6.36146}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Resistor R_interne(R = 0.2, T_ref = 300.15, alpha = 0) annotation(Placement(visible = true, transformation(origin = {-60.5116,91.5141}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Electrical.Analog.Basic.Resistor R_batterie(R = 0.13, T_ref = 300.15, alpha = 0) annotation(Placement(visible = true, transformation(origin = {-75.5112,91.6212}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Blocks.Sources.Step U12V(height = -12) annotation(Placement(visible = true, transformation(origin = {-55.275,80.9173}, extent = {{-3.59088,-3.59088},{3.59088,3.59088}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant masse_lineaire(k = 0.006) annotation(Placement(visible = true, transformation(origin = {7.3895,50.8314}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
  Modelica.Electrical.Analog.Sources.SignalVoltage FEM_batterie annotation(Placement(visible = true, transformation(origin = {-90.4452,82.2591}, extent = {{-6.36146,6.36146},{6.36146,-6.36146}}, rotation = -90)));
  Modelica.Blocks.Sources.Constant Masse_enveloppe(k = 3.7) annotation(Placement(visible = true, transformation(origin = {19.0713,17.5046}, extent = {{-5.25741,-5.25741},{5.25741,5.25741}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant Masse_camera(k = 3.1) annotation(Placement(visible = true, transformation(origin = {23.9948,37.8316}, extent = {{-6.36146,-6.36146},{6.36146,6.36146}}, rotation = 0)));
  Modelica.Blocks.Math.Product Masse_cable annotation(Placement(visible = true, transformation(origin = {46.259,50.5106}, extent = {{-6.36146,-6.36146},{6.36146,6.36146}}, rotation = 0)));
  Modelica.Blocks.Math.Add Add2(k1 = -1, k2 = +1) annotation(Placement(visible = true, transformation(origin = {64.2126,7.53685}, extent = {{-5.78315,-5.78315},{5.78315,5.78315}}, rotation = 0)));
equation
  connect(mass1.flange_b,vitesse.flange) annotation(Line(points = {{21.1212,84.0384},{30.9591,84.0384},{30.9591,92.9145},{35.3846,92.9145},{35.3846,92.6276}}));
  connect(Massse_vol_helium.y,Masse_helium.u1) annotation(Line(points = {{9.4526,11.0139},{12.0804,11.0139},{12.0804,5.90388},{17.4914,5.90388},{17.4914,5.67872}}));
  connect(Volume.y,Masse_helium.u2) annotation(Line(points = {{9.00769,-6.01055},{13.1623,-6.01055},{13.1623,-0.733881},{17.4914,-0.733881},{17.4914,-0.630176}}));
  connect(Volume.y,Masse_air.u1) annotation(Line(points = {{9.00769,-6.01055},{22.3296,-6.01055},{22.3296,-8.05277},{31.1321,-8.05277},{31.1321,-7.94691}}));
  connect(Masse_Ballon.y,Masse_en_altitude.u3) annotation(Line(points = {{49.9579,21.0957},{55.0295,21.0957},{55.0295,34.7989},{61.9457,34.7989},{61.9457,34.6074}}));
  connect(Masse_en_altitude.y,Add2.u1) annotation(Line(points = {{76.5771,39.6966},{82.6661,39.6966},{82.6661,16.9986},{53.368,16.9986},{53.368,11.5152},{57.2728,11.5152},{57.2728,11.0067}}));
  connect(Masse_air.y,Add2.u2) annotation(Line(points = {{44.4334,-11.4168},{48.471,-11.4168},{48.471,4.1925},{57.2728,4.1925},{57.2728,4.06696}}));
  connect(Add2.y,Effort_traction.u1) annotation(Line(points = {{70.5741,7.53685},{73.0401,7.53685},{73.0401,-0.137315},{77.368,-0.137315},{77.368,-0.084714}}));
  connect(masse_lineaire.y,Masse_cable.u2) annotation(Line(points = {{13.751,50.8314},{32.4197,50.8314},{32.4197,47.1718},{38.6253,47.1718},{38.6253,46.6937}}));
  connect(Masse_cable.y,Masse_en_altitude.u1) annotation(Line(points = {{53.2566,50.5106},{56.8279,50.5106},{56.8279,44.4462},{61.9457,44.4462},{61.9457,44.7858}}));
  connect(Masse_cable.u1,position.s) annotation(Line(points = {{38.6253,54.3275},{28.3895,54.3275},{28.3895,62.2152},{55.4199,62.2152},{55.4199,75.0509},{48.7728,75.0509},{48.7728,75.1687}}));
  connect(Masse_camera.y,Masse_en_altitude.u2) annotation(Line(points = {{30.9924,37.8316},{38.5892,37.8316},{38.5892,39.6332},{61.9457,39.6332},{61.9457,39.6966}}));
  connect(Masse_enveloppe.y,Masse_Ballon.u1) annotation(Line(points = {{24.8545,17.5046},{29.3436,17.5046},{29.3436,23.9356},{37.8658,23.9356},{37.8658,24.2501}}));
  connect(Masse_helium.y,Masse_Ballon.u2) annotation(Line(points = {{29.5835,2.52427},{32.2746,2.52427},{32.2746,18.1452},{37.8658,18.1452},{37.8658,17.9413}}));
  connect(Masse_volumique.y,Masse_air.u2) annotation(Line(points = {{-17.6289,-0.709625},{-7.0319,-0.709625},{-7.0319,-14.8312},{25.9639,-14.8312},{25.9639,-14.8867},{31.1321,-14.8867}}));
  connect(temperature.y,division1.u2) annotation(Line(points = {{-83.9901,36.4958},{-79.9429,36.4958},{-79.9429,40.3635},{-61.1704,40.3635},{-61.1704,37.7004},{-57.7214,37.7004},{-57.7214,37.8423}}));
  connect(coef.y,division1.u1) annotation(Line(points = {{-82.3828,53.3124},{-78.5859,53.3124},{-78.5859,43.8071},{-57.7214,43.8071},{-57.7214,43.5777}}));
  connect(U12V.y,FEM_batterie.v) annotation(Line(points = {{-51.325,80.9173},{-48.7124,80.9173},{-48.7124,74.6717},{-64.5454,74.6717},{-64.5454,82.8224},{-85.9922,82.8224},{-85.9922,82.2591}}));
  connect(FEM_batterie.n,masse.p) annotation(Line(points = {{-90.4452,75.8976},{-90.6093,75.8976},{-90.6093,72.5519},{-54.9245,72.5519},{-54.9245,71.3568},{-54.8401,71.3568}}));
  connect(FEM_batterie.p,R_batterie.p) annotation(Line(points = {{-90.4452,88.6205},{-90.35,88.6205},{-90.35,91.5988},{-81.2944,91.5988},{-81.2944,91.6212}}));
  connect(R_batterie.n,R_interne.p) annotation(Line(points = {{-69.7281,91.6212},{-69.9603,91.6212},{-69.9603,91.5141},{-66.2947,91.5141}}));
  connect(inductance.p,R_interne.n) annotation(Line(points = {{-51.6053,91.5028},{-55.105,91.5028},{-55.105,91.5141},{-54.7284,91.5141}}));
  connect(inductance.n,emf1.p) annotation(Line(points = {{-38.8824,91.5028},{-36.7822,91.5028},{-36.7822,88.6213},{-36.6019,88.6213}}));
  connect(mass1.flange_b,position.flange) annotation(Line(points = {{21.1212,84.0384},{31.024,84.0384},{31.024,75.0864},{33.1255,75.0864},{33.1255,75.2432}}));
  connect(mass1.flange_a,Tambour.flangeT) annotation(Line(points = {{10.6064,84.0384},{19.0758,84.0384},{19.0758,83.9544},{7.99563,83.9544}}));
  connect(effort.flange,mass1.flange_b) annotation(Line(points = {{77.8253,74.7702},{81.0349,74.7702},{81.0349,84.1472},{21.1212,84.1472},{21.1212,84.0384}}));
  connect(Reducteur.flange_b,Tambour.flangeR) annotation(Line(points = {{-4.20548,83.8598},{8.7076,83.8598},{8.7076,83.9544},{-1.56329,83.9544}}));
  connect(inertie_rotor.flange_b,Reducteur.flange_a) annotation(Line(points = {{-17.1224,83.847},{-11.5774,83.847},{-11.5774,83.8598},{-14.3838,83.8598}}));
  connect(emf1.flange,inertie_rotor.flange_a) annotation(Line(points = {{-31.8224,83.8418},{-27.2261,83.8418},{-27.2261,83.847},{-28.6887,83.847}}));
  connect(G.y,Effort_traction.u2) annotation(Line(points = {{63.5405,-11.0557},{70.5069,-11.0557},{70.5069,-6.39361},{77.368,-6.39361}}));
  connect(Effort_traction.y,effort.f) annotation(Line(points = {{89.4601,-3.23916},{95.1449,-3.23916},{95.1449,62.1607},{64.5955,62.1607},{64.5955,74.4748},{69.1353,74.4748},{69.1353,74.7702}}));
  connect(temperature.y,RT.u1) annotation(Line(points = {{-83.9901,36.4958},{-80.0103,36.4958},{-80.0103,28.4946},{-96.592,28.4946},{-96.592,-11.43},{-61.0139,-11.43},{-61.0139,0.96592},{-44.5132,0.96592},{-44.5132,0.921008}}));
  connect(emf1.n,masse.p) annotation(Line(points = {{-36.6019,79.0624},{-36.6019,72.4826},{-54.8127,72.4826},{-54.8127,71.3568},{-54.8401,71.3568}}));
  connect(add1.y,puissance5.u1) annotation(Line(points = {{-16.8328,53.2381},{-14.2455,53.2381},{-14.2455,26.0525},{-40.1697,26.0525},{-40.1697,18.6089},{-37.3359,18.6089},{-37.3359,18.4464}}));
  connect(division1.y,product1.u2) annotation(Line(points = {{-46.7286,40.71},{-45.3382,40.71},{-45.3382,50.3418},{-43.4896,50.3418},{-43.4896,50.1905}}));
  connect(altitude_ballon.u1,position.s) annotation(Line(points = {{-59.0493,55.8859},{-61.4805,55.8859},{-61.4805,62.2254},{55.4128,62.2254},{55.4128,75.09},{49.5924,75.09},{49.5924,75.1613}}));
  connect(altitude_ballon.y,product1.u1) annotation(Line(points = {{-48.0565,53.0183},{-46.5649,53.0183},{-46.5649,56.2876},{-43.4896,56.2876},{-43.4896,55.7423}}));
  connect(altitude_station.y,altitude_ballon.u2) annotation(Line(points = {{-64.7706,53.301},{-62.4598,53.301},{-62.4598,50.5183},{-59.0493,50.5183},{-59.0493,50.1506}}));
  connect(add1.y,puissance4.u1) annotation(Line(points = {{-16.8329,53.2381},{-14.2997,53.2381},{-14.2997,26.0569},{-55.9106,26.0569},{-55.9106,17.8798},{-53.7034,17.8798},{-53.7034,18.0123}}));
  connect(add1.y,puissance3.u1) annotation(Line(points = {{-16.8329,53.2381},{-14.2997,53.2381},{-14.2997,26.0569},{-73.4466,26.0569},{-73.4466,18.2404},{-70.9867,18.2404},{-70.9867,18.2073}}));
  connect(add1.y,puissance2.u1) annotation(Line(points = {{-16.8329,53.2381},{-14.2997,53.2381},{-14.2997,26.0569},{-92.6156,26.0569},{-92.6156,17.9529},{-89.0941,17.9529},{-89.0941,18.0417}}));
  connect(add1.y,puissance2.u2) annotation(Line(points = {{-16.8329,53.2381},{-14.2997,53.2381},{-14.2997,26.0569},{-92.6156,26.0569},{-92.6156,11.7356},{-89.0941,11.7356},{-89.0941,11.9347}}));
  connect(add1.u2,constante.y) annotation(Line(points = {{-27.4739,50.4622},{-31.0892,50.4622},{-31.0892,32.6736},{-65.3236,32.6736},{-65.3236,33.2778}}));
  connect(product1.y,add1.u1) annotation(Line(points = {{-32.8486,52.9664},{-30.2803,52.9664},{-30.2803,56.0614},{-27.4739,56.0614},{-27.4739,56.014}}));
  connect(pression_pa.y,Masse_volumique.u1) annotation(Line(points = {{-64.6401,-0.380284},{-62.3405,-0.380284},{-62.3405,7.19932},{-32.0685,7.19932},{-32.0685,1.90608},{-28.27,1.90608},{-28.27,2.06629}}));
  connect(puissance5.y,pression_pa.u1) annotation(Line(points = {{-25.6309,15.3929},{-19.0462,15.3929},{-19.0462,8.5285},{-79.354,8.5285},{-79.354,2.25078},{-75.2811,2.25078},{-75.2811,2.39563}}));
  connect(pression0.y,pression_pa.u2) annotation(Line(points = {{-82.1694,-0.116356},{-79.1721,-0.116356},{-79.1721,-3.49802},{-75.2811,-3.49802},{-75.2811,-3.1562}}));
  connect(coef_R.y,RT.u2) annotation(Line(points = {{-48.5778,-7.22486},{-47.0274,-7.22486},{-47.0274,-5.02252},{-44.5132,-5.02252},{-44.5132,-4.81437}}));
  connect(RT.y,Masse_volumique.u2) annotation(Line(points = {{-33.5204,-1.94668},{-30.9528,-1.94668},{-30.9528,-3.33445},{-28.27,-3.33445},{-28.27,-3.48554}}));
  connect(puissance4.y,puissance5.u2) annotation(Line(points = {{-41.9983,14.9588},{-39.8547,14.9588},{-39.8547,12.2928},{-37.336,12.2928},{-37.336,12.3394}}));
  connect(puissance3.y,puissance4.u2) annotation(Line(points = {{-59.2816,15.1538},{-56.8547,15.1538},{-56.8547,11.7928},{-53.7034,11.7928},{-53.7034,11.9053}}));
  connect(puissance2.y,puissance3.u2) annotation(Line(points = {{-77.389,14.9882},{-74.5574,14.9882},{-74.5574,11.9714},{-70.9867,11.9714},{-70.9867,12.1002}}));
end ballon;

